using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace AfficheImage
{
 public partial class Form1 : Form
 {
  public Form1()
  {
   InitializeComponent();
  }

  private void Form1_Load(object sender, EventArgs e)
  {
   ofSelImage.InitialDirectory = Directory.GetCurrentDirectory();
  }
  Bitmap bmp;
  private void miSlectionImage_Click(object sender, EventArgs e)
  {
   DialogResult res = ofSelImage.ShowDialog();
   if (res == DialogResult.OK)
   {
    bmp = new Bitmap(ofSelImage.FileName);
    WindowState = FormWindowState.Normal;
    AutoScrollMinSize = bmp.Size;
    ClientSize = bmp.Size;
    Invalidate(true);
   }
  }

  private void Form1_Paint(object sender, PaintEventArgs e)
  {
   if (bmp != null)
   {
    Point p = this.AutoScrollPosition;
    e.Graphics.DrawImage(bmp, new Rectangle(p, bmp.Size));
   }
  }
 }
}